org.apache.cassandra.db

## Interface IColumnContainer

- All Known Implementing Classes:
    AbstractColumnContainer, ColumnFamily, SuperColumn

      public interface IColumnContainer

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addColumn(IColumn column)`
    `void` | `addColumn(IColumn column, Allocator allocator)`
    `DeletionInfo` | `deletionInfo()`
    `AbstractType<?>` | `getComparator()`
    `java.util.Collection<IColumn>` | `getSortedColumns()`
    `boolean` | `hasIrrelevantData(int gcBefore)`
    `boolean` | `isMarkedForDelete()`
    `void` | `remove(java.nio.ByteBuffer columnName)`
    `boolean` | `replace(IColumn oldColumn, IColumn newColumn)` Replace oldColumn if represent by newColumn.

- - ### Method Detail

    - #### addColumn

          void addColumn(IColumn column)

    - #### addColumn

          void addColumn(IColumn column,
                       Allocator allocator)

    - #### remove

          void remove(java.nio.ByteBuffer columnName)

    - #### replace

          boolean replace(IColumn oldColumn,
                        IColumn newColumn)

      Replace oldColumn if represent by newColumn. Returns true if oldColumn was present (and thus replaced) oldColumn and newColumn should have the same name. !NOTE! This should only be used if you know this is what you need. To add a column such that it use the usual column resolution rules in a thread safe manner, use addColumn.

    - #### isMarkedForDelete

          boolean isMarkedForDelete()

    - #### deletionInfo

          DeletionInfo deletionInfo()

    - #### hasIrrelevantData

          boolean hasIrrelevantData(int gcBefore)

    - #### getComparator

          AbstractType<?> getComparator()

    - #### getSortedColumns

          java.util.Collection<IColumn> getSortedColumns()

Copyright © 2014 The Apache Software Foundation